%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ma2000sym.m
% CLCULO SIMBOLICO DE LA CINEMTICA DIRECTA DEL
% ROBOT TQ MA2000 EN EL SYMTb DE MATLAB.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldvar,  
% Versin: 14/09/2011
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

A:=matrix([ 
    [cos('&theta;_1'),0,sin('&theta;_1'),0],
    [sin('&theta;_1'),0,-cos('&theta;_1'),0],
    [0,1,0,'&delta;_1'],
    [0,0,0,1]])

B:=matrix([
    [cos('&theta;_2'),-sin('&theta;_2'),0, '&Alpha;_2'*cos('&theta;_2')],
    [sin('&theta;_2'),cos('&theta;_2'),0,'&Alpha;_2'*sin('&theta;_2')],
    [0,0,1,'&delta;_2'],[0,0,0,1]])

C:=matrix([
    [cos('&theta;_3'),-sin('&theta;_3'),0, '&Alpha;_3*cos('&theta;_3')],
    [sin('&theta;_3'),cos('&theta;_3'),0,'&Alpha;_3'*sin('&theta;_3')],
    [0,0,1,0],
    [0,0,0,1]])

X:=matrix([
    [cos('&theta;_4'),0,-sin('&theta;_4'),0],
    [sin('&theta;_4'),0,cos('&theta;_4'),0],
    [0,-1,0,'&delta;_4'],
    [0,0,0,1]])

Y:=matrix([
    [cos('&theta;_5'),0,sin('&theta;_5'),0],
    [sin('&theta;_5'),0,-cos('&theta;_5'),0],
    [0,1,0,'&delta;_5'],
    [0,0,0,1]])

Z:=matrix([
    [cos('&theta;_6'),-sin('&theta;_6'),0,0],
    [sin('&theta;_6'), cos('&theta;_6'),0,0],
    [0,0,1,'&delta;_6'],
    [0,0,0,1]])

% Se calcula el producto de las primeras tres articulaciones, simplificando la respuesta:
base:=simplify(expand(A*B*C));
