%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% robdanywalker.m
% CLCULO SIMBOLICO DE LA CINEMTICA DIRECTA DE LA
% EXTREMIDAD DERECHA DEL ROBOT HUMANOIDE DANY WALKER.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldvar,  
% Versin: 14/09/2011
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

A:=matrix([
[cos('&theta;_1'),0,-sin('&theta;_1'),'&Alpha;_1'*cos('&theta;_1')],
[sin('&theta;_1'),0,cos('&theta;_1'),'&Alpha;_1'*sin('&theta;_1')],
[0,-1,0,0],[0,0,0,1]])
B:=matrix([
[cos('&theta;_2'),-sin('&theta;_2'),0,'&Alpha;_2'*cos('&theta;_2')],
[sin('&theta;_2'),cos('&theta;_2'),0,'&Alpha;_2'*sin('&theta;_2')],
[0,0,1,0],[0,0,0,1]])
C:=matrix([
[cos('&theta;_3'),-sin('&theta;_3'),0, '&Alpha;_3'*cos('&theta;_3')],
[sin('&theta;_3'),cos('&theta;_3'),0,'&Alpha;_3'*sin('&theta;_3')],
[0,0,1,0],[0,0,0,1]])
X:=matrix([
[cos('&theta;_4',0,sin('&theta;_4'),'&Alpha;_4'*cos('&theta;_4')],
[sin('&theta;_4'),0,-cos('&theta;_4'),'&Alpha;_4'*sin('&theta;_4')],
[0,1,0,0],[0,0,0,1]])
Y:=matrix([
[cos('&theta;_5'),-sin('&theta;_5'),0,'&Alpha;_5'*cos('&theta;_5')],
[sin('&theta;_5'),cos('&theta;_5'),0,'&Alpha;_5'*sin('&theta;_5')],
[0,0,1,0],[0,0,0,1]])

% Se calcula el producto de las primeras tres articulaciones, simplificando la respuesta:
base:=simplify(A*B*C);

% Por ltimo, las dos articulaciones finales
final:=simplify(X*Y);

% Se calcula la expresin completa, multiplicando las matrices base y final, simplificando el resultado:
ma2k:=simplify(base*final);
