%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% jrobscara.m
% MATRIZ JACOBIANA DEL ROBOT SCARA EN MATLAB
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar,  
% Versin: 14/09/2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Simulacin del modelo DH del robot SCARA.
% Los parmetros de cada eslabn
L1 = link([0 0.25 0 0])
L2 = link([pi 0.15 0 0])
L3 = link([0 0 0 0 1])
L4 = link([0 0 0 0.075])
% Se enlaza la cadena cinemtica
scara=robot({L1 L2 L3 L4})
scara.name='SCARA';
scara.manuf='Prototipo';
 
% Se calcula la matriz Jacobiana con respecto del actuador
% final del robot
matriz_jacobiana_n=jacobn(scara, [0 0 0 0])

% Y finalmente se define la matriz Jacobiana con respecto
% del sistema base del robot
matriz_jacobiana_base=jacob0(scara, [0 0 0 0])
