%JACOB0 Compute manipulator Jacobian in world coordinates
%
%   J0 = JACOB0(ROBOT, Q)
%
% Returns a Jacobian matrix for the robot ROBOT in pose Q.
%
% Copyright (C) 1993-2008, by Peter I. Corke
% This file is part of The Robotics Toolbox for Matlab 

function J0 = jacob0(robot, q)
    Jn = jacobn(robot, q);  
    % TRANSFORMA LA MATRIZ JACOBIANA DE ACUERDO A
    % LA MATRIZ ROTACIONAL CORRESPONDIENTE
    Tn = fkine(robot, q); 
    R = t2r(Tn);
    J0 = [R zeros(3,3); zeros(3,3) R] * Jn;
