%JACOBN Compute manipulator Jacobian in end-effector frame
%
%   JN = JACOBN(ROBOT, Q)
%
% Returns a Jacobian matrix for the robot ROBOT in pose Q.
%
% Copyright (C) 1993-2008, by Peter I. Corke
% This file is part of The Robotics Toolbox for Matlab 

function J = jacobn(robot, q)
 
    n = robot.n;
    L = robot.link;     

    J = [];
    U = robot.tool;


    
     for j=n:-1:1,
            U = L{j}( q(j) ) * U;

        if L{j}.RP == 'R',
            % ARTICULACION ROTACIONAL
            d = [   -U(1,1)*U(2,4)+U(2,1)*U(1,4)
                -U(1,2)*U(2,4)+U(2,2)*U(1,4)
                -U(1,3)*U(2,4)+U(2,3)*U(1,4)];
            delta = U(3,1:3)';  % nz oz az
        else
            % ARTICULACION PRISMATICA
            d = U(3,1:3)';      % nz oz az
            delta = zeros(3,1); %  0  0  0
        end
      % SE CONJUNTAN LAS COLUMNAS CORRESPONDIENTES
        J = [[d; delta] J];
     end
