% TR2DIFF Converts a transform difference to differential representation
%   D = TR2DIFF(T)
%   D = TR2DIFF(T1, T2)
% Copyright (C) 1993-2008, by Peter I. Corke
% This file is part of The Robotics Toolbox for Matlab 

function d = tr2diff(t1, t2)
    if nargin == 1,
        d = [   t1(1:3,4);
            0.5*[t1(3,2)-t1(2,3); 
                 t1(1,3)-t1(3,1); 
                 t1(2,1)-t1(1,2)]];
    else
        d = [   t2(1:3,4)-t1(1:3,4);
            0.5*( cross(t1(1:3,1), t2(1:3,1)) + ...
                  cross(t1(1:3,2), t2(1:3,2)) + ...
                  cross(t1(1:3,3), t2(1:3,3)) ...
                 )];
    end
