% RNE.M: Calcular la dinmica inversa por medio del mtodo 
% de Newton-Euler
%
%   TAU = RNE(ROBOT, Q, QD, QDD)
%   TAU = RNE(ROBOT, [Q QD QDD])
%
% Copyright (C) 1993-2008, by Peter I. Corke
% Robotics Toolbox for Matlab v8.0 
%    
    %  Recursin hacia adelante
    %           
            % Conservar el orden en las ecuaciones
            % es muy importante
%NOTA (1)   ====================
            if link.RP == 'R',
                % articulacin rotacional
                wd = R*(wd + z0*qdd(j) + ...
                    cross(w,z0*qd(j)));
                w = R*(w + z0*qd(j));
                %v = cross(w,pstar) + R*v; % NO SE UTILIZA
                vd = cross(wd,pstar) + ...
                    cross(w, cross(w,pstar)) +R*vd;
             else
                % articulacin prismtica
                w = R*w;
                wd = R*wd;
                vd = R*(z0*qdd(j)+vd) + ...
                    cross(wd,pstar) + ...
                    2*cross(w,R*z0*qd(j)) +...
                    cross(w, cross(w,pstar));
            end
            % Definicin de valores de Fuerzas y Torques
            % con respecto del centro de gravedad

%NOTA (2)   ====================
            vhat = cross(wd,r) + ...
                cross(w,cross(w,r)) + vd;
            F = link.m*vhat;
            N = link.I*wd + cross(w,link.I*w);
            Fm = [Fm F];
            Nm = [Nm N];
        end
    %
    %  Recursin hacia atrs
%NOTA (3)   ====================
        f = fext(1:3);   % fuerza/momento en actuador final
        nn = fext(4:6);
 
        for j=n:-1:1,
            link = robot.link{j};
            pstar = pstarm(:,j);
            
            % Conservar el orden en las ecuaciones
            % es muy importante, ya que nn y f dependen
            % de valores anteriores.
            if j == n,
                R = eye(3,3);
            else
                R = Rm{j+1};
            End
            r = link.r;
            nn = R*(nn + cross(R'*pstar,f)) + ...
                cross(pstar+r,Fm(:,j)) + ...
                Nm(:,j);
            f = R*f + Fm(:,j);
            R = Rm{j};

            if link.RP == 'R',
                % articulacin rotacional
%NOTA (4)   ====================
                tau(p,j) = nn'*(R'*z0) + ...
                    link.G^2 * ( link.Jm*qdd(j) + ...
                        friction(link, qd(j)) ...
                    );
            else
                % articulacin prismtica
%NOTA (5)   ====================
                tau(p,j) = f'*(R'*z0) + ...
                    link.G^2 * ( link.Jm*qdd(j) + ...
                        friction(link, qd(j)) ...
                    );
            end
        end
    end
