%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% itor.m
% GENERA GRAFICA TRIDIMENSIONAL DEL EFECTO INERCIAL DEL
% MOVIMIENTO 2DO. Y 3ER. ESLABN SOBRE LA 1RA. ARTICULACIN 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Carga robot de ejemplo: Unimation Puma 560
puma560;

% Genera combinacin de valores para los eslabones 2 y 3

[q2,q3] = meshgrid(-pi:0.2:pi, -pi:0.2:pi);

% Construye combinacin de datos dentro del vector de
% estado q, con valores solamente para articulaciones 2 y 3

q=[zeros(length(q2(:)),1) q2(:) q3(:)   
                             zeros(length(q2(:)),3)];

% Realiza clculo del torque generado por la influencia
% de la inercia del movimiento de los eslabones 2 y 3.
    
    M = zeros(6,1,0);
    for Q = q',
        m = itorque(p560, Q', eye(6,1)');
        M = cat(3, M, m');
    end
 
% Genera la grfica tridimensional del torque generado sobre la primera articulacin solamente:
surfl(q2, q3, reshape(squeeze(M(1,:)), size(q2)));
