%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% coritor.m
% GENERA GRAFICA TRIDIMENSIONAL DEL EFECTO CENTRFUGO Y DE
% CORIOLIS GENERADO POR LA VELOCIDAD EN EL 2DO. Y 3ER. 
% ESLABN, SOBRE LA 1RA. ARTICULACIN BASE DEL SISTEMA 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Carga robot de ejemplo: Unimation Puma 560
puma560;
 
% Genera una combinacin de valores para eslabones 2 y 3
[q2,q3] = meshgrid(-pi:0.2:pi, -pi:0.2:pi);
% Construye la combinacin de datos dentro del vector de
% estado q, con valores solamente para articulaciones 2 y 3

q = [zeros(length(q2(:)),1) q2(:) q3(:) zeros(length(q2(:)),3)];
 
% Realiza el clculo del torque generado por los efectos 
% centrfugos y de Coriolis como respuesta a una velocidad 
% unitaria en la segunda y tercera articulacin. La primera
% articulacin est en reposo.
M = zeros(6,1,0);
    for Q = q',
        m = coriolis(p560, Q', [0 1 1 0 0 0]);
        M = cat(3, M, m');
    end
 
% Genera la grfica tridimensional del torque generado 
% sobre la primera articulacin solamente:
surfl(q2, q3, reshape(squeeze(M(1,:)), size(q2)));
xlabel('ngulo 2'); ylabel('ngulo 3')
zlabel('Torque sobre articulacin 1')
