%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TrayInterpol0.m
% INTERPOLACIN DE TRAYECTORIAS CARTESIANAS CON CTRAJ
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
% Se genera el sistema coordenado base T0 y su grafica
T0=eye(4,4);
% incluyendo la etiqueta 'Base' con un largo de 1 metro.
plot(ht(T0), 'Base', 1); 
xlabel('Eje X'); ylabel('Eje Y'); zlabel('Eje Z');hold on;
 
% Se genera el sistema coordenado objetivo T1 y su grfica
T1=[-1 0 0 4; 0 1 0 10; 0 0 -1 5; 0 0 0 1];
plot(ht(T1), 'Fin', 1);
% Vector de valores de tiempo, entre 0 y 1 segundo
serie=0.1:0.1:0.9;
% Interpolacin de las posturas en la trayectoria
TC=ctraj(T0, T1, serie);
% Grfica para cada postura que se ha calculado
plot(ht(TC(:,:,1)), 'uno', 1);
plot(ht(TC(:,:,2)), 'dos', 1);
plot(ht(TC(:,:,3)), 'tres', 1);
plot(ht(TC(:,:,4)), 'cuatro', 1);
plot(ht(TC(:,:,5)), 'cinco', 1);
plot(ht(TC(:,:,7)), 'siete', 1);
plot(ht(TC(:,:,9)), 'nueve', 1);
