%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PIDconstruc2.m
% Construccin del sistema de ejemplo: Control PD
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Sistema Masa-Resorte-Amortiguador
M = 1; b = 10; k = 20; F = 1;
s = tf('s'); P = 1/(M*s^2 + b*s + k);
 
% Ganancias de control
Kp = 280; % Constante KP
Kd =  10; % Constante KD
 
% Construccin del controlador PD
Cpd = pid(Kp, 0, Kd)
 
% Construccin del esquema de retroalimentacin unitaria
Tpd = feedback(Cpd*P,1)
 
% Graficacin de la respuesta
t = 0:0.01:2; 
figure; step(Tpd,t, '.-'); % Respuesta al escaln 
