%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PIDconstruc3.m
% Construccin del sistema de ejemplo: Control PI
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Sistema Masa-Resorte-Amortiguador
M = 1; b = 10; k = 20; F = 1;
s = tf('s'); P = 1/(M*s^2 + b*s + k);
 
% Ganancias de control
Kp = 280; % Constante KP
Ki = 320; % Constante KI
 
% Construccin del controlador PD
Cpi = pid(Kp, Ki, 0)
 
% Construccin del esquema de retroalimentacin unitaria
Tpi = feedback(Cpi*P,1)
 
% Graficacin de la respuesta
t = 0:0.01:2; 
figure; step(Tpi,t, '.-'); % Respuesta al escaln 
