%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PIDconstruc1.m
% Construccin del sistema de ejemplo para el diseo
% y simulacin de un controlador PID en un esquema de
% retroalimentacin unitaria.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Sistema Masa-Resorte-Amortiguador
M = 1; b = 10; k = 20; F = 1;
s = tf('s'); P = 1/(M*s^2 + b*s + k);
% Generacin de la respuesta de lazo abierto
step(P, '.-'); grid on
 
% Ganancia de control PROPORCIONAL
Kp = 280; % Constante KP

% Construccin del controlador PROPORCIONAL
Cp = pid(Kp)

% Construccin del esquema de retroalimentacin unitaria
Tp = feedback(Cp*P,1)

% Graficacin de la respuesta
t = 0:0.01:2; 
figure; step(Tp,t, '.-'); % Respuesta al escaln
