%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% tfunc.m
% Control PD para seguimiento de trayectorias articulares
% Ganancias en vectores Pgain y Dgain.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function tau = tfunc(t, q, qd, Pgain, Dgain, qt)
if t > qt(end,1), % Evita desbordamientos de tiempo
t = qt(end,1);
end
% Interpolacin entre los ngulos requeridos
q_dmd = interp1(qt(:,1), qt(:,2:7), t)';
% Calcula el error
e = q_dmd - q;
% Calcula la seal de control PD
tau = diag(Pgain)*e + diag(Dgain)*qd;
