%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% tfunc2.m
% Control PID para seguimiento de trayectorias articulares
% Ganancias en vectores Pgain, Igain y Dgain.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function tau = tfunc2(t, q, qd, Pgain, Dgain, Igain, qt)
if t > qt(end,1), % Evita desbordamientos de tiempo
t = qt(end,1);
end

% Interpolacin entre los ngulos requeridos
q_dmd = interp1(qt(:,1), qt(:,2:7), t)';
% Calcula el error
e = q_dmd - q;
 
% Calculo de la integral del error
n=length(e); integral=[]; integral(1)=e(1);
for j=2:n
    integral(j)=integral(j-1) + e(j);
end
ie=integral';

% Calcula la seal de control PID
tau = diag(Pgain)*e + diag(Dgain)*qd + diag(Igain)*ie;
