%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ejemdynPID.m
% Este ejemplo ilustra un control PID de seguimiento para  
% trayectorias articulares sobre el robot PUMA560 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Define el modelo del robot PUMA560
puma560
t = [0:.056:5]';         % Define el vector de tiempo
q_dmd = jtraj(qz, qr,t); % Trayectoria desde qz hasta qr
qt = [t q_dmd];          % Agrupa vector tiempo y vector q
 
Pgain = [ 100 200  40  5  5  5]; % Ganancias proporcionales
Dgain = [ -30 -30 -10 -1 -1 -1]; % Ganancias Diferenciales
Igain = [-100 -20 -10  0  0  0]; % Ganancias Integrales
 
% Simula la dinmica para obtener respuesta del modelo
[tsim,q,qd]=fdyn(nofriction(p560),0,5,
               'tfunc2', qz, qz, Pgain, Dgain, Igain, qt);

plot(tsim, q(:,1));hold on; plot(t, q_dmd(:,1), '-.'); plot(tsim, q(:,2));hold on; plot(t, q_dmd(:,2), '-.'); plot(tsim, q(:,3));hold on; plot(t, q_dmd(:,3), '-.');
