%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ejemdynPD.m
% Este ejemplo ilustra un control de seguimiento para  
% trayectorias articulares en el robot PUMA560. 
% Posicin inicial en el estado cero y posicin final  
% en la posicin vertical de la estructura robtica.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
% Define el modelo del robot PUMA560
puma560
t = [0:.056:5]'; % Define el vector de tiempo
q_dmd = jtraj(qz, qr,t); % Trayectoria desde qz hasta qr
qt = [t q_dmd]; % Agrupa vector tiempo y trayectoria
 
% Ganancias del controlador PD: 
Pgain = [40 150 40 5 5 5]; % Ganancias proporcionales
Dgain = [-13 -25 -13 -5 -5 -5]; % Ganancias derivativas
 
% Simula la dinmica para obtener respuesta del modelo
[tsim,q,qd]=fdyn(nofriction(p560),0,5,
                     'tfunc', qz, qz, Pgain, Dgain, qt);

plot(tsim, q(:,1));hold on; plot(t, q_dmd(:,1), '-.'); plot(tsim, q(:,2));hold on; plot(t, q_dmd(:,2), '-.'); plot(tsim, q(:,3));hold on; plot(t, q_dmd(:,3), '-.');
