%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% CxPendAck.m
% Modelado y control en variable de estado del PENDUBOT
% LINEALIZADO alrededor del punto de equilibrio vertical
% Controlador por retroalimentacin de estados
% Mtodo de diseo: ACKERMAN
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matrices linearizadas del sistema PENDUBOT
A=[0 1 0 0; 51.9265 0 -13.9704 0; 0 0 0 1; -52.8402 0 68.4210 0]
B=[0; 15.9549; 0; -29.3596]
C=[1 0 0 0; 0 1 0 0; 0 0 1 0; 0 0 0 1]
D=[0; 0; 0; 0]
 
% Diseo del controlador con polos deseados:
polos=[-10 + 2.9i;
       -10 - 2.9i;
        -7 + 0.7i;
        -7 - 0.7i ]
 
% Definicin de ganancias de retroalimentacin
k=acker(A,B,polos)

% Respuesta del sistema controlado
figure; impulse(A-B*k, B, C, D); grid on;
