%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% CxPendlqr.m
% Modelo en variable de estado del PENDUBOT
% LINEALIZADO ALREDEDOR DEL PUNTO DE EQUILIBRIO
% de la posicin TOP.
% Controlador por retroalimentacin de estados
% Mtodo de diseo: LQR
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Marco Prez, Erik Cuevas, Daniel Zaldivar  
% Versin: 13/06/2012 v1.0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Matrices linearizadas del sistema PENDUBOT
A=[0 1 0 0; 51.9265 0 -13.9704 0; 0 0 0 1; -52.8402 0 68.4210 0]
B=[0; 15.9549; 0; -29.3596]
C=[1 0 0 0; 0 1 0 0; 0 0 1 0; 0 0 0 1]
D=[0; 0; 0; 0]
 
% Definicin para solucin LQR
Q=[1 0 0 0; 0 0 0 0; 0 0 1 0; 0 0 0 0]; 
R=[1];


% Diseo del controlador metodo de LQR:
% Definicin de ganancias de retroalimentacin
[k, p, eigval]=lqr(A,B,Q,R)

% Respuesta del sistema controlado
figure; impulse(A-B*k, B, C, D); grid on;
